using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class tblRobotHistoriesAddRobotIp : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "LastRun",
                table: "ApplicationsInWorks");

            migrationBuilder.DropColumn(
                name: "NextRun",
                table: "ApplicationsInWorks");

            migrationBuilder.AddColumn<string>(
                name: "RobotIp",
                table: "RobotHistories",
                type: "text",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "RobotIp",
                table: "RobotHistories");

            migrationBuilder.AddColumn<DateTimeOffset>(
                name: "LastRun",
                table: "ApplicationsInWorks",
                type: "timestamp with time zone",
                nullable: true);

            migrationBuilder.AddColumn<DateTimeOffset>(
                name: "NextRun",
                table: "ApplicationsInWorks",
                type: "timestamp with time zone",
                nullable: false,
                defaultValue: new DateTimeOffset(new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)));
        }
    }
}
